Browse Source

Use unittest.mock instead of third party mock

Now that we no longer support py27, we can use the standard library
unittest.mock module instead of the third party mock lib.

Change-Id: I4df9a945e33c7b77c38d139195cab2fa0481209e
Signed-off-by: Sean McGinnis <sean.mcginnis@gmail.com>
tags/2.3.0^0
Sean McGinnis 3 months ago
parent
commit
ef606c96ac
No known key found for this signature in database GPG Key ID: CE7EE4BFAF8D70C8
4 changed files with 2 additions and 4 deletions
  1. +0
    -1
      lower-constraints.txt
  2. +1
    -1
      oslo_cache/tests/test_cache.py
  3. +1
    -1
      oslo_cache/tests/test_connection_pool.py
  4. +0
    -1
      test-requirements.txt

+ 0
- 1
lower-constraints.txt View File

@@ -22,7 +22,6 @@ keystoneauth1==3.4.0
linecache2==1.0.0
MarkupSafe==1.0
mccabe==0.2.1
mock==2.0.0
monotonic==1.4
mox3==0.25.0
msgpack==0.5.6


+ 1
- 1
oslo_cache/tests/test_cache.py View File

@@ -15,9 +15,9 @@

import copy
import time
from unittest import mock

from dogpile.cache import proxy
import mock
from oslo_config import cfg
from oslo_config import fixture as config_fixture
from oslo_utils import uuidutils


+ 1
- 1
oslo_cache/tests/test_connection_pool.py View File

@@ -12,8 +12,8 @@

import threading
import time
from unittest import mock

import mock
import six
from six.moves import queue
import testtools


+ 0
- 1
test-requirements.txt View File

@@ -2,7 +2,6 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
hacking>=3.0,<3.1.0 # Apache-2.0
mock>=2.0.0 # BSD
oslotest>=3.2.0 # Apache-2.0
pifpaf>=0.10.0 # Apache-2.0
# Bandit security code scanner


Loading…
Cancel
Save